
TYPO3.Flow - Feature # 36077

Status: Closed Priority: Should have
Author: Lienhart Woitok Category: Object
Created: 2012-04-14 Assigned To: Lienhart Woitok
Updated: 2013-07-26 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Separate original classes and proxy classes in class cache
Description

IDEs like PhpStorm get confused with code completion if proxy classes are known to the IDE. On the other hand, one can only set
breakpoints in the original classes if those are known to the IDE. As long as proxy and original classes share the same cache directory
one can not use both IDE features at the same time.

History
#1 - 2012-04-14 21:50 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10500

#2 - 2012-04-15 11:35 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10500

#3 - 2012-09-11 11:37 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10500

#4 - 2012-09-11 11:45 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10500

#5 - 2012-09-11 11:50 - Karsten Dambekalns
- Category set to Object
- Status changed from Under Review to Needs Feedback
- Assigned To set to Lienhart Woitok
- Target version set to 2.0 beta 1

The questions is, do we want this? It feels "clean" to have proxy and "original" classes separated, but on the other hand having two caches adds some
overhead and complexity. If the debugger proxy Sebastian used in http://blog.sandstorm-media.de/2012/08/debugging-flow3/ works fine, we'd not need
this change for debugging.

So, what do you think?

#6 - 2012-09-11 12:57 - Lienhart Woitok

This change is older than Sebastians proxy. At that time, I just tried to get a solution to the problem, but if Sebastians proxy works reliably on all
relevant platforms and environments (I haven't tested it yet), then I think this is not needed anymore as Sebastians approach is much more convenient
(having breakpoints in the files you actually edit).

#7 - 2012-12-12 09:19 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.1

#8 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)

#9 - 2013-07-26 19:00 - Christian Müller
- Status changed from Needs Feedback to Closed

I think the debugging proxy is the way to go, so closing this one.
